Bug 866660 - RFE: Add "lock" action (and associated hooks) as an inhibitor action
RFE: Add "lock" action (and associated hooks) as an inhibitor action
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18systemd
  Show dependency treegraph
 
Reported: 2012-10-15 16:02 EDT by Ben Boeckel
Modified: 2013-01-19 22:31 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-19 22:31:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2012-10-15 16:02:59 EDT
In addition to suspend, halt, etc., it'd be nice to prevent/trigger locking the current session (via screenlockers for X or tlock for the TTY). The lid switch would be much better as 'lock' than 'ignored' here ('suspend' is a silly behavior IMO).

Probably needs things such as:

  - Changes to screen lockers (tlock/xautolock is what I care about, but DE-level WMs would probably like this as well)
  - Video players to inhibit the locking (systemd-inhibit is fine as a partial solution in the interim)

I imagine the simplest thing would be to create a client which has options which are commands to run for "lock" (this should work for both xautolock at least; probably DBus-enabled stuff as well; I don't know how well tlock works if it is run while something like vim or rtorrent is running though what tmux does for setting up lock-command seems to work fine).
Comment 1 Lennart Poettering 2012-10-30 12:51:14 EDT
This is fixed in git.
Comment 2 Fedora Update System 2013-01-14 09:07:43 EST
systemd-197-1.fc18.1 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-0655/systemd-197-1.fc18.1
Comment 3 Fedora Update System 2013-01-19 22:31:55 EST
systemd-197-1.fc18.1 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.